## baloo 4.13.0

=== CMakeLists.txt ===
project(baloo)

set(BALOO_VERSION_MAJOR 4)
set(BALOO_VERSION_MINOR 13)
set(BALOO_VERSION_RELEASE 0)
set(BALOO_VERSION "${BALOO_VERSION_MAJOR}.${BALOO_VERSION_MINOR}.${BALOO_VERSION_RELEASE}")


set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(KdepimLibs 4.13.0 CONFIG)
set_package_properties(KdepimLibs PROPERTIES
    DESCRIPTION "The KDEPIM libraries"
    URL "http://www.kde.org"
    TYPE REQUIRED
)

find_package(Xapian CONFIG)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "The Xapian search engine library"
    URL "http://xapian.org"
    TYPE REQUIRED
)

find_package(KFileMetaData CONFIG)
set_package_properties(KFileMetaData PROPERTIES
    DESCRIPTION "A library for extracting file metadata"
    URL "https://projects.kde.org/kfilemetadata"
    TYPE REQUIRED
)

find_package(QJSON)
set_package_properties(QJSON PROPERTIES
    DESCRIPTION "Qt library for handling JSON data"
    URL "http://qjson.sourceforge.net/"
    TYPE REQUIRED
)

find_package(Akonadi 1.11.42 CONFIG)
set_package_properties(Akonadi PROPERTIES
    URL "http://akonadi-project.org"
    TYPE REQUIRED
)

include(ConfigureChecks.cmake)

add_definitions(-DQT_NO_KEYWORDS)
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

include_directories(
  ${QT_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${KFILEMETADATA_INCLUDE_DIR}
  ${XAPIAN_INCLUDE_DIR}
  ${KDEPIMLIBS_INCLUDE_DIRS}
  ${AKONADI_INCLUDE_DIR}
  ${KDE4_INCLUDES}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/core
  ${CMAKE_SOURCE_DIR}/src/file/lib
  ${CMAKE_SOURCE_DIR}/src/xapian
)

add_subdirectory(src)
add_subdirectory(icons)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/BalooConfig.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/BalooConfig.cmake @ONLY)

# this file is used by to check if the installed version can be used.
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/BalooConfigVersion.cmake
                                     ${BALOO_VERSION_MAJOR} ${BALOO_VERSION_MINOR} ${BALOO_VERSION_RELEASE})


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/BalooConfig.cmake ${CMAKE_CURRENT_BINARY_DIR}/BalooConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/Baloo)
install(EXPORT BalooLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/Baloo
        FILE BalooTargetsWithPrefix.cmake)

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== src/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(xapian)
add_subdirectory(file)
add_subdirectory(pim)
add_subdirectory(kioslaves)
add_subdirectory(tools)
add_subdirectory(runner)

=== src/core/CMakeLists.txt ===
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

set(CORE_SRCS
    searchstore.cpp
    term.cpp
    query.cpp
    queryrunnable.cpp
    resultiterator.cpp
    result.cpp
)

kde4_add_library(baloocore SHARED ${CORE_SRCS})

target_link_libraries(baloocore
    ${QT_QTCORE_LIBRARY}
    ${QJSON_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${XAPIAN_LIBRARIES}
)

set_target_properties(baloocore PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_VERSION_MAJOR}
)

install(TARGETS baloocore EXPORT BalooLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    term.h
    query.h
    queryrunnable.h
    result.h
    resultiterator.h
    searchstore.h

    core_export.h

    DESTINATION ${INCLUDE_INSTALL_DIR}/baloo COMPONENT Devel
)

install(FILES baloosearchstore.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(tests)
add_subdirectory(autotests)

=== src/file/CMakeLists.txt ===
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

add_subdirectory(lib)
add_subdirectory(search)

set(file_SRCS
    # Filewatch
    filewatch.cpp
    activefilequeue.cpp
    metadatamover.cpp
    database.cpp

    # File Indexer
    fileindexer.cpp
    fileindexerconfig.cpp
    indexscheduler.cpp
    indexingqueue.cpp
    basicindexingqueue.cpp
    fileindexingqueue.cpp
    commitqueue.cpp
    basicindexingjob.cpp
    fileindexingjob.cpp
    eventmonitor.cpp
    util.cpp

    # Common
    priority.cpp
    regexpcache.cpp
    fileexcludefilters.cpp
    # removabledeviceindexnotification.cpp
    # removablemediacache.cpp

    main.cpp
)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    set(file_SRCS
        ${file_SRCS}
        kinotify.cpp
    )
    add_definitions(-DBUILD_KINOTIFY)
endif()

kde4_add_executable(baloo_file ${file_SRCS})

target_link_libraries(baloo_file
    ${QT_QTCORE_LIBRARY}
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIDLETIME_LIBS}
    ${KDE4_SOLID_LIBS}
    ${KFILEMETADATA_LIBRARY}
    ${XAPIAN_LIBRARIES}
    ${QJSON_LIBRARIES}
    baloocore
    baloofiles
    balooxapian
)

install(TARGETS baloo_file ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES baloo_file.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES org.kde.baloo.file.indexer.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

add_subdirectory(autotest)
add_subdirectory(tests)
add_subdirectory(extractor)
add_subdirectory(kcm)
add_subdirectory(inotify)
add_subdirectory(cleaner)

=== src/tools/CMakeLists.txt ===
add_subdirectory(baloosearch)
add_subdirectory(balooshow)

=== src/xapian/CMakeLists.txt ===
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

set(XAPIAN_SRCS
    xapiansearchstore.cpp
    xapiandocument.cpp
    xapiandatabase.cpp
)

kde4_add_library(balooxapian SHARED ${XAPIAN_SRCS})

target_link_libraries(balooxapian
    ${QT_QTCORE_LIBRARY}
    ${QJSON_LIBRARIES}
    ${KDE4_KDECORE_LIBRARY}
    ${XAPIAN_LIBRARIES}
    baloocore
)

set_target_properties(balooxapian PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_VERSION_MAJOR}
)

install(TARGETS balooxapian EXPORT BalooLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/file/autotest/CMakeLists.txt ===
project(filewatch_tests)

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
  set(kinotifytest_SRC kinotifytest.cpp ../kinotify.cpp)
  kde4_add_unit_test(kinotifytest TESTNAME nepomuk-kinotifytest NOGUI ${kinotifytest_SRC})
  target_link_libraries(kinotifytest
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
  )
endif(CMAKE_SYSTEM_NAME MATCHES "Linux")

set(activefilequeuetest_SRC activefilequeuetest.cpp ../activefilequeue.cpp)
kde4_add_unit_test(activefilequeuetest TESTNAME nepomuk-activefilequeuetest NOGUI ${activefilequeuetest_SRC})
target_link_libraries(activefilequeuetest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
)

#
# Metadata Mover
#
set(metadatamover_SRC
    metadatamovertest.cpp
    ../metadatamover.cpp
    ../database.cpp
    ../lib/filemapping.cpp)

kde4_add_unit_test(metadatamovertest NOGUI ${metadatamover_SRC})

target_link_libraries(metadatamovertest
  ${QT_QTTEST_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${XAPIAN_LIBRARIES}
  balooxapian
)

#
# File Monitor
#
set(fileMonitor_SRC filemonitortest.cpp)

kde4_add_unit_test(filemonitortest NOGUI ${fileMonitor_SRC})

target_link_libraries(filemonitortest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  baloofiles
)

#
# File Indexing Config
#
set(indexingConfig_SRC
    fileindexerconfigtest.cpp
    ../fileindexerconfig.cpp
    ../regexpcache.cpp
    ../fileexcludefilters.cpp
)

kde4_add_unit_test(fileindexerconfigtest NOGUI ${indexingConfig_SRC})

target_link_libraries(fileindexerconfigtest
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
)

#
# Basic Indexing Queue Test
#

set(basicIndexingQueue_SRC
    basicindexingqueuetest.cpp
    ../basicindexingqueue.cpp
    ../basicindexingjob.cpp
    ../indexingqueue.cpp
    ../fileindexerconfig.cpp
    ../fileexcludefilters.cpp
    ../regexpcache.cpp
    ../database.cpp
    ../util.cpp
    ../lib/filemapping.cpp
)

kde4_add_unit_test(basicindexingqueuetest NOGUI ${basicIndexingQueue_SRC})

target_link_libraries(basicindexingqueuetest
  ${QT_QTTEST_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KFILEMETADATA_LIBRARY}
  ${XAPIAN_LIBRARIES}
  balooxapian
)

add_subdirectory(fileindexingjob)

=== src/file/cleaner/CMakeLists.txt ===
set(CLEANER_SRCS
  main.cpp
  cleaner.cpp
  ../priority.cpp
  ../database.cpp
  ../commitqueue.cpp
  ../fileindexerconfig.cpp
  ../regexpcache.cpp
  ../fileexcludefilters.cpp
)

kde4_add_executable(baloo_file_cleaner ${CLEANER_SRCS})

target_link_libraries(baloo_file_cleaner
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${XAPIAN_LIBRARIES}
  balooxapian
)

install(TARGETS baloo_file_cleaner DESTINATION ${BIN_INSTALL_DIR})

=== src/file/extractor/CMakeLists.txt ===
set(EXTRACTOR_SRCS
  main.cpp
  app.cpp
  result.cpp
  ../priority.cpp
  ../basicindexingjob.cpp
  ../database.cpp
  ../util.cpp
)

kde4_add_executable(baloo_file_extractor ${EXTRACTOR_SRCS})

target_link_libraries(baloo_file_extractor
  ${QT_QTSQL_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KFILEMETADATA_LIBRARY}
  ${XAPIAN_LIBRARIES}
  ${QJSON_LIBRARIES}
  baloofiles
  balooxapian
)

install(TARGETS baloo_file_extractor DESTINATION ${BIN_INSTALL_DIR})

=== src/file/inotify/CMakeLists.txt ===
kde4_install_auth_actions(org.kde.baloo.filewatch org.kde.baloo.filewatch.actions)
kde4_add_executable(kde_baloo_filewatch_raiselimit raiselimit.cpp)

target_link_libraries(kde_baloo_filewatch_raiselimit ${KDE4_KDECORE_LIBS})
install(TARGETS kde_baloo_filewatch_raiselimit DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_helper_files(kde_baloo_filewatch_raiselimit org.kde.baloo.filewatch root)

=== src/file/kcm/CMakeLists.txt ===
set(kcm_file_SRCS
  kcm.cpp
  ../fileexcludefilters.cpp
  folderselectionwidget.cpp
)

kde4_add_ui_files(kcm_file_SRCS
  configwidget.ui
)

kde4_add_plugin(kcm_baloofile ${kcm_file_SRCS})

target_link_libraries(kcm_baloofile
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
)


install(FILES kcm_baloofile.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_baloofile DESTINATION ${PLUGIN_INSTALL_DIR})

=== src/file/search/CMakeLists.txt ===
kde4_add_plugin(baloo_filesearchstore pathfilterpostingsource.cpp filesearchstore.cpp)

target_link_libraries(baloo_filesearchstore
    ${QT_QTCORE_LIBRARY}
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    ${XAPIAN_LIBRARIES}
    ${KFILEMETADATA_LIBRARY}
    baloocore
    baloofiles
    balooxapian
)

install(FILES baloo_filesearchstore.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS baloo_filesearchstore DESTINATION ${PLUGIN_INSTALL_DIR})

add_subdirectory(autotest)

=== debian/changelog ===
baloo (4:4.13.0-0ubuntu3) trusty; urgency=medium

  * Add upstream_FileIndexingQueue-Catch-exception.patch catching more
    xapian exceptions prevening baloo_file crashes.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 15 Apr 2014 15:30:33 +0200

baloo (4:4.13.0-0ubuntu2) trusty; urgency=medium

  * Add upstream_catch_more_exceptions_emailsearchstore.patch from upstream
    expanding the exception catching to prevent krunner crashes on random
    searches

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 15 Apr 2014 11:45:50 +0200

baloo (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:32:59 +0100

baloo (4:4.12.97-0ubuntu4) trusty; urgency=medium

  * Yet more upstream commit imports. Adding patches 50 to 56 in upstream_git/
  * Explicitly do not apply upstream_git/0050-Prepare-4.13.0.patch as it
    causes an implicit dependency bump which we cannot fullfill at this time.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 09 Apr 2014 16:31:31 +0200

baloo (4:4.12.97-0ubuntu3) trusty; urgency=medium

  * Add upstream_git/0049-XapianDatabase-Catch-more-exceptions.patch
    fixing a crash when changing the file rating in dolphin.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 08 Apr 2014 13:10:09 +0200

baloo (4:4.12.97-0ubuntu2) trusty; urgency=medium

  * Blanket import fixes between 4.12.97 and current git KDE/4.13 in
    debian/patches/upstream_git/

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 07 Apr 2014 12:35:02 +0200

baloo (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:04:27 +0200

baloo (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add new symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:51:35 +0100

baloo (4:4.12.90-0ubuntu1) trusty; urgency=low

  [ Jonathan Riddell ]
  * Initial release
  * Don't depend on baloo, kde-runtime, kdepim-runtime to stop
    circular deps
  * baloo-dev doesn't depend on baloo to stop circular deps

  [ Scarlett Clark ]
  * Fix copyright
  * Create and fix symbols.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:30:39 +0000

=== debian/control ===
Source: baloo
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake,
 pkg-kde-tools,
 kdelibs5-dev (>= 4:4.13.0),
 kdepimlibs5-dev (>= 4:4.13.0),
 libkfilemetadata-dev (>= 4:4.13.0),
 libxapian-dev,
 libqjson-dev,
 libattr1-dev,
 libakonadi-dev (>= 1.11.80),
 libboost1.54-dev
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/baloo

Package: baloo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80),
Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80),
Description: framework for searching and managing metadata.
 A framework for searching and managing metadata in KDE.

Package: libbaloocore4
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Core funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: libbaloofiles4
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Files funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: libbaloopim4
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PIM funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: libbalooxapian4
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xapian funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: baloo-dev
Architecture: any
Section: libdevel
Depends: libbaloocore4 (= ${binary:Version}),
 libbaloofiles4 (= ${binary:Version}),
 libbaloopim4 (= ${binary:Version}),
 libbalooxapian4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: baloo-dbg
Architecture: any
Depends: baloo (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for baloo
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo.
 .
 Baloo is part of KDE SC.

## baloo 4.13.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(BALOO_VERSION_MAJOR 4)
 set(BALOO_VERSION_MINOR 13)
-set(BALOO_VERSION_RELEASE 0)
+set(BALOO_VERSION_RELEASE 3)
 set(BALOO_VERSION "${BALOO_VERSION_MAJOR}.${BALOO_VERSION_MINOR}.${BALOO_VERSION_RELEASE}")
 
 
@@ -39,7 +39,7 @@
     TYPE REQUIRED
 )
 
-find_package(Akonadi 1.11.42 CONFIG)
+find_package(Akonadi 1.12.1 CONFIG)
 set_package_properties(Akonadi PROPERTIES
     URL "http://akonadi-project.org"
     TYPE REQUIRED
@@ -49,6 +49,10 @@
 
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(${KDE4_ENABLE_EXCEPTIONS})
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+add_definitions( -DQT_NO_CAST_FROM_ASCII )
+add_definitions( -DQT_NO_CAST_TO_ASCII )
+
 
 include_directories(
   ${QT_INCLUDES}

=== src/kioslaves/CMakeLists.txt ===
add_subdirectory(timeline)
add_subdirectory(tags)
add_subdirectory(search)

=== src/kioslaves/tags/CMakeLists.txt ===
kde4_add_plugin(kio_tags kio_tags.cpp)

target_link_libraries(kio_tags
  ${KDE4_KIO_LIBS}
  baloocore
  baloofiles
)

install(TARGETS kio_tags DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES tags.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== src/pim/lib/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

kde4_add_executable(contactsearch contactsearchtest.cpp)

target_link_libraries(contactsearch
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}

  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}

  baloopim
)

kde4_add_executable(emailquery emailquerytest.cpp)

target_link_libraries(emailquery
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}

  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}

  baloocore
  baloopim
)

kde4_add_executable(contactcompleter contactcompletiontest.cpp)

target_link_libraries(contactcompleter
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  baloopim
)

=== src/pim/search/email/CMakeLists.txt ===
kde4_add_plugin(baloo_emailsearchstore agepostingsource.cpp emailsearchstore.cpp ../pimsearchstore.cpp)

target_link_libraries(baloo_emailsearchstore
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${XAPIAN_LIBRARIES}
    baloocore
    balooxapian
)

install(FILES baloo_emailsearchstore.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS baloo_emailsearchstore DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
baloo (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * No change rebuild for the -security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Nov 2014 09:37:11 -0500

baloo (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)
    - add new symbols for libbaloopim4

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:18:51 +0200

baloo (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:44:59 +0200

baloo (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * Remove explicit baloo dependency from library .symbol files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jun 2014 16:47:14 +0200

baloo (4:4.13.1-0ubuntu0.1~ubuntu14.04~ppa2) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - drop upstream_FileIndexingQueue-Catch-exception.patch and
      upstream_catch_more_exceptions_emailsearchstore.patch, included
      in release
    - refresh symbol files

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 10 May 2014 10:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: baloo
 Section: kde
 Priority: optional
-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: debhelper (>= 9.0.0), cmake,
  pkg-kde-tools,
- kdelibs5-dev (>= 4:4.13.0),
- kdepimlibs5-dev (>= 4:4.13.0),
- libkfilemetadata-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ kdepimlibs5-dev (>= 4:4.13.3),
+ libkfilemetadata-dev (>= 4:4.13.3),
  libxapian-dev,
  libqjson-dev,
  libattr1-dev,
  libakonadi-dev (>= 1.11.80),
  libboost1.54-dev
+Build-Conflicts: libkfilemetadata5-dev
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/baloo
 
 Package: baloo
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80),
-Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80),
+Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80)
+Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80)
+Conflicts: baloo-kf5-data, baloo-kf5
 Description: framework for searching and managing metadata.
  A framework for searching and managing metadata in KDE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=baloo-dbg

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	 $(overridden_command) -- -xbaloo -xkde-runtime -xkdepim-runtime

## baloo 4.14.1

=== debian/changelog ===
baloo (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:20:30 +0200

baloo (4:4.14.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Philip Muškovac ]
  * Add a transitional package for baloo > baloo4 as Provides don't take care
    of upgrades
  * Delete obsolete baloo.install 

  [ Rohan Garg ]
  * Make baloo-utils a dep of baloo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:26:11 +0200

baloo (4:4.13.97-0ubuntu3) utopic; urgency=medium

  * Add replaces/breaks for file moved to baloo-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:59:34 +0200

baloo (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump replaces version of baloo for new updates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:45:17 +0200

baloo (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:02:52 +0200

baloo (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Fix libalooqueryparser install file

  [ Philip Muškovac ]
  * Remove empty arch= selector in libbaloopim4.symbols and
    libbalooxapian4.symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 06:18:28 -0700

baloo (4:4.13.90-0ubuntu3) utopic; urgency=medium

  * Add missing build-dep on libx11-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 19 Jul 2014 21:40:48 +0200

baloo (4:4.13.90-0ubuntu2) utopic; urgency=medium

  * Add missing .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 19 Jul 2014 21:40:48 +0200

baloo (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Added new library libbalooqueryparser
  * Patched symbols with batchpatch
  * Add new library to -dev as depend

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 13:54:56 -0700

baloo (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Allow for co-installability with baloo-kf5
    - create baloo-utils for kdelibs4 parts we want to keep installed
    - rename to baloo4 and provide a common baloo virtual package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jul 2014 17:24:47 +0200

baloo (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Remove explicit baloo dependency from library .symbol files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2014 16:57:37 +0200

baloo (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release
  * Remove upstream_catch_more_exceptions_emailsearchstore.patch
    fixed upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:38:20 +0100

baloo (4:4.13.0-0ubuntu5) utopic; urgency=medium

  * Merge with Debian, remaining changes:
   - still on 4.13.0
  * Add conflicts on kf5 baloo packages
  * Build-Conflicts: libkfilemetadata5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 May 2014 16:08:47 +0100

baloo (4:4.13.0-0ubuntu4) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 21:55:11 +0100

baloo (4:4.13.1-1) experimental; urgency=medium

  * Initial release, based on the kubuntu package.
  * Update build dependencies.
  * Update symbols files.
  * New patch: disable_tests_depending_on_revdep
  * Add dh-acc files.
  * Add dbus interface file to the -dev package.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:25:45 +0200

baloo (4:4.13.0-0ubuntu3) utopic; urgency=medium

  * Remove explicit baloo dependency from library .symbol files
  * Add conflicts on conflicting KF5 baloo packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 May 2014 15:52:39 +0100

=== debian/control ===
Source: baloo
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               kdepimlibs5-dev (>= 4:4.14.1),
               libakonadi-dev (>= 1.12.91),
               libattr1-dev,
               libboost1.55-dev,
               libkfilemetadata-dev (>= 4:4.14.1),
               libqjson-dev,
               libxapian-dev,
               pkg-kde-tools,
               libx11-dev
Build-Conflicts: libkfilemetadata5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://projects.kde.org/baloo
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/baloo.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/baloo.git

Package: baloo4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, baloo-utils
Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.90)
Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.90)
Conflicts: baloo-kf5-data, baloo-kf5
Provides: baloo
Description: framework for searching and managing metadata.
 A framework for searching and managing metadata in KDE.
 .
 This package contains the kdelibs4 version of the binaries, it can also
 be replaced with baloo-kf5.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: any
Depends: baloo4
Description: Transitional package for baloo4
 Transitional package for baloo4
 .
 This package can safely be removed after installation

Package: baloo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.2-0ubuntu3)
Breaks: kde-runtime (<< 4:4.12.80), kde-runtime-data (<< 4:4.12.80), baloo (<< 4:4.13.2-0ubuntu3)
Description: framework for searching and managing metadata.
 A framework for searching and managing metadata in KDE.
 .
 This package contains kdelibs4 utilities for Baloo.

Package: libbaloocore4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo core library.
 .
 Baloo is part of KDE SC.

Package: libbaloofiles4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Files funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo files library.
 .
 Baloo is part of KDE SC.

Package: libbaloopim4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo PIM library.
 .
 Baloo is part of KDE SC.

Package: libbalooqueryparser4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Query Parser for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo query parser library ported from Nepomuk.
 .
 Baloo is part of KDE SC.

Package: libbalooxapian4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xapian funcationality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the baloo Xapian library.
 .
 Baloo is part of KDE SC.

Package: baloo-dev
Architecture: any
Section: libdevel
Depends: libbaloocore4 (= ${binary:Version}),
         libbaloofiles4 (= ${binary:Version}),
         libbalooqueryparser4 (= ${binary:Version}),
         libbaloopim4 (= ${binary:Version}),
         libbalooxapian4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo-kf5-dev
Replaces: baloo (<< 4:4.13.90)
Breaks: baloo (<< 4:4.13.90)
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for baloo.
 .
 Baloo is part of KDE SC.

Package: baloo-dbg
Architecture: any
Depends: baloo4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for baloo
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo.
 .
 Baloo is part of KDE SC.

## baloo 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,16 @@
 project(baloo)
 
 set(BALOO_VERSION_MAJOR 4)
-set(BALOO_VERSION_MINOR 13)
-set(BALOO_VERSION_RELEASE 3)
+set(BALOO_VERSION_MINOR 14)
+set(BALOO_VERSION_RELEASE 0)
 set(BALOO_VERSION "${BALOO_VERSION_MAJOR}.${BALOO_VERSION_MINOR}.${BALOO_VERSION_RELEASE}")
-
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 
-find_package(KdepimLibs 4.13.0 CONFIG)
+find_package(KdepimLibs 4.14.0 CONFIG)
 set_package_properties(KdepimLibs PROPERTIES
     DESCRIPTION "The KDEPIM libraries"
     URL "http://www.kde.org"
@@ -39,13 +38,14 @@
     TYPE REQUIRED
 )
 
-find_package(Akonadi 1.12.1 CONFIG)
+find_package(Akonadi 1.12.90 CONFIG)
 set_package_properties(Akonadi PROPERTIES
     URL "http://akonadi-project.org"
     TYPE REQUIRED
 )
 
 include(ConfigureChecks.cmake)
+configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(${KDE4_ENABLE_EXCEPTIONS})
@@ -55,6 +55,7 @@
 
 
 include_directories(
+  ${CMAKE_BINARY_DIR}
   ${QT_INCLUDES}
   ${QJSON_INCLUDE_DIR}
   ${KFILEMETADATA_INCLUDE_DIR}

=== src/pim/CMakeLists.txt ===
add_subdirectory(agent)
add_subdirectory(lib)
add_subdirectory(search)
add_subdirectory(akonadiplugin)

=== src/file/lib/CMakeLists.txt ===
set(FILE_LIB_SRCS
    file.cpp
    filefetchjob.cpp
    filemodifyjob.cpp
    filemapping.cpp
    filemonitor.cpp
    taglistjob.cpp
    db.cpp

    indexerconfig.cpp
    ../fileindexerconfig.cpp
    ../regexpcache.cpp
    ../fileexcludefilters.cpp
    xattrdetector.cpp
    filecustommetadata.cpp
)

kde4_add_library(baloofiles SHARED ${FILE_LIB_SRCS})

target_link_libraries(baloofiles
    ${QT_QTCORE_LIBRARY}
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    ${KDE4_SOLID_LIBS}
    ${XAPIAN_LIBRARIES}
    ${QJSON_LIBRARIES}
    baloocore
    balooxapian
)

set_target_properties(baloofiles PROPERTIES
    VERSION ${BALOO_VERSION}
    SOVERSION ${BALOO_VERSION_MAJOR}
)

install(TARGETS baloofiles ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    file.h
    filefetchjob.h
    filemodifyjob.h
    filemonitor.h
    taglistjob.h
    indexerconfig.h
    file_export.h

    DESTINATION ${INCLUDE_INSTALL_DIR}/baloo COMPONENT Devel
)

add_subdirectory(tests)
add_subdirectory(autotests)

=== src/pim/agent/CMakeLists.txt ===
include_directories(
    ${XAPIAN_INCLUDE_DIR}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_definitions(${KDE4_ENABLE_EXCEPTIONS})

set(akonadi_baloo_indexer_SRCS
    abstractindexer.cpp
    agent.cpp
    emailindexer.cpp
    contactindexer.cpp
    akonotesindexer.cpp
    calendarindexer.cpp
    ../../file/priority.cpp
)

qt4_add_dbus_adaptor(akonadi_baloo_indexer_SRCS org.freedesktop.Akonadi.BalooIndexer.xml agent.h BalooIndexingAgent)

kde4_add_executable(akonadi_baloo_indexer ${akonadi_baloo_indexer_SRCS})

target_link_libraries(akonadi_baloo_indexer
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
    ${KDEPIMLIBS_KABC_LIBS}
    ${XAPIAN_LIBRARIES}
    ${KDEPIMLIBS_KPIMUTILS_LIBS}
    ${KDEPIMLIBS_KCALCORE_LIBS}
    balooxapian
)

install(TARGETS akonadi_baloo_indexer ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES akonadibalooindexingagent.desktop
        DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")

add_subdirectory(tests)
add_subdirectory(autotests)

=== src/pim/akonadiplugin/CMakeLists.txt ===
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

include_directories(${KDEPIMLIBS_INCLUDE_DIRS})
kde4_add_plugin(akonadi_baloo_searchplugin
    searchplugin.cpp
)

target_link_libraries(akonadi_baloo_searchplugin
    ${QT_QTCORE_LIBRARY}
    ${KDE4_KDECORE_LIBRARY}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
    ${KDEPIMLIBS_KABC_LIBS}
    ${XAPIAN_LIBRARIES}
    baloocore
    baloopim
    balooxapian
)

install(TARGETS akonadi_baloo_searchplugin DESTINATION ${PLUGIN_INSTALL_DIR}/akonadi)
install(FILES akonadibaloosearchplugin.desktop
        DESTINATION ${PLUGIN_INSTALL_DIR}/akonadi)

add_subdirectory(autotests)

=== src/pim/search/CMakeLists.txt ===
include_directories(${KDEPIMLIBS_INCLUDE_DIRS})

add_subdirectory(email)
add_subdirectory(contact)
add_subdirectory(note)
add_subdirectory(calendar)

=== src/tools/baloosearch/CMakeLists.txt ===
set(SRCS main.cpp)

kde4_add_executable(baloosearch ${SRCS})

target_link_libraries(baloosearch
  ${KDE4_KDECORE_LIBS}
  baloocore
)

install(TARGETS baloosearch DESTINATION ${BIN_INSTALL_DIR})

=== src/file/search/autotest/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

kde4_add_unit_test(filesearchstoretest NOGUI filesearchstoretest.cpp
                   ../filesearchstore.cpp
                   ../pathfilterpostingsource.cpp
                   ../../lib/filemapping.cpp
                   ../../database.cpp
)

set_target_properties(filesearchstoretest PROPERTIES COMPILE_FLAGS -DBALOO_FILE_EXPORT=)

target_link_libraries(filesearchstoretest
  ${QT_QTCORE_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${XAPIAN_LIBRARIES}
  ${KFILEMETADATA_LIBRARY}
  baloocore
  balooxapian
)

=== src/pim/agent/tests/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

kde4_add_executable(emailindexer emailtest.cpp ../emailindexer.cpp ../abstractindexer.cpp)

target_link_libraries(emailindexer
  ${QT_QTCORE_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${KDE4_KDECORE_LIBS}

  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${XAPIAN_LIBRARIES}
)

=== debian/changelog ===
baloo (4:4.14.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Make baloo-dev depend on libkfilemetadata-dev, as it uses its headers.
    (Closes: #762240)
  * Small improvements to the descriptions. (Closes: #757626, #760023)

  [ Maximiliano Curia ]
  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 18:54:00 +0200

baloo (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * Merge dh_acc test into testsuite.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:24 +0200

baloo (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update symbols files with buildds logs.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Aug 2014 18:18:14 +0200

baloo (4:4.13.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commits 01f3fff52d63302e6970a088710ec6b692b1b470,
    b538865e6069a61c8cf467622f3dccef2bac115e and
    07278894f3a00a3c4ca5ce7d62721c0edfddfb69 to fix build on glibc-based OSes
    different than Linux; patches
    upstream_xattr-fix-fallback-in-no-xattr-OSes.patch,
    upstream_xattr-use-the-linux-xattr-impl-on-any-glibc-based-OS.patch, and
    upstream_xattr-do-not-use-on-glibc-if-not-implemented.patch.
  * Switch the libboost1.55-dev build dependency to libboost-dev.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove upstream applied patch: upstream_xattr-do-not-use-on-glibc-
    if-not-implemented.patch
  * Remove upstream applied patch: upstream_xattr-fix-fallback-in-no-
    xattr-OSes.patch
  * Remove upstream applied patch: upstream_xattr-use-the-linux-xattr-
    impl-on-any-glibc-based-OS.patch
  * Update symbols file.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 00:17:47 +0200

=== debian/control ===
Source: baloo
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
X-Ubuntu-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.13.0),
               kdepimlibs5-dev (>= 4:4.14.0),
               libakonadi-dev (>= 1.12.90),
               libattr1-dev,
               libboost-dev,
               libkfilemetadata-dev (>= 4:4.13.0),
               libqjson-dev,
               libxapian-dev,
               pkg-kde-tools,
               libx11-dev
Build-Conflicts: libkfilemetadata5-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://projects.kde.org/baloo
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/baloo.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/baloo.git
X-Ubuntu-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo
X-Ubuntu-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/baloo

Package: baloo4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, baloo-utils
Replaces: baloo (<< 4:4.13.2-0ubuntu3),
          kde-runtime (<< 4:4.12.80),
          kde-runtime-data (<< 4:4.12.80)
Breaks: baloo (<< 4:4.13.2-0ubuntu3),
        kde-runtime (<< 4:4.12.80),
        kde-runtime-data (<< 4:4.12.80)
Conflicts: baloo-kf5, baloo-kf5-data
Provides: baloo
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE.
 .
 This package contains the kdelibs4 version of the binaries, it can also
 be replaced with baloo-kf5.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: any
Depends: baloo4
Description: transitional package for baloo4
 A framework for searching and managing metadata in KDE.
 .
 This package can safely be removed after installation.

Package: baloo-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: baloo (<< 4:4.13.2-0ubuntu3),
          kde-runtime (<< 4:4.12.80),
          kde-runtime-data (<< 4:4.12.80)
Breaks: baloo (<< 4:4.13.2-0ubuntu3),
        kde-runtime (<< 4:4.12.80),
        kde-runtime-data (<< 4:4.12.80)
Description: utilities for Baloo
 A framework for searching and managing metadata in KDE.
 .
 This package contains kdelibs4 utilities for Baloo.

Package: libbaloocore4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: core functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo core library.
 .
 Baloo is part of KDE SC.

Package: libbaloofiles4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: files functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo files library.
 .
 Baloo is part of KDE SC.

Package: libbaloopim4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo PIM library.
 .
 Baloo is part of KDE SC.

Package: libbalooqueryparser4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: query Parser for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo query parser library ported from Nepomuk.
 .
 Baloo is part of KDE SC.

Package: libbalooxapian4
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xapian functionality for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains the Baloo Xapian library.
 .
 Baloo is part of KDE SC.

Package: baloo-dev
Architecture: any
Section: libdevel
Depends: libbaloocore4 (= ${binary:Version}),
         libbaloofiles4 (= ${binary:Version}),
         libbalooqueryparser4 (= ${binary:Version}),
         libbaloopim4 (= ${binary:Version}),
         libbalooxapian4 (= ${binary:Version}),
         libkfilemetadata-dev (>= 4:4.13.0),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo-kf5-dev
Replaces: baloo (<< 4:4.13.90)
Breaks: baloo (<< 4:4.13.90)
Description: development files for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo.
 .
 Baloo is part of KDE SC.

Package: baloo-dbg
Architecture: any
Depends: baloo4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: debugging symbols for Baloo
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo.
 .
 Baloo is part of KDE SC.
